#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "mpu6050.h"
#include "usart.h"

int main(void) {
	double accel_x, accel_y, accel_z;
	USART0_init();
	int direction;

	//DDRD - led PD7
	DDRD |= (1 << PD7);
	mpu6050_init();

	//USART0_print("Testing device connections...\r\n");

	sei();

	while(1) {
		mpu6050_getConvAcc(&accel_x, &accel_y, &accel_z);
		direction  = 0;

		if (accel_y > 0.7) {
			direction |= 3;
		} else if (accel_y < -0.7) {
			direction |= 1;
		}
		if (accel_x > 0.7) {
			direction |= 3 << 2;
		} else if (accel_x < -0.7) {
			direction |= 1 << 2;
		}

		// Transmit data
		if (direction == 3) {
			USART0_transmit('w');
		} else if (direction == (3 + (3 << 2)) ) {
			USART0_transmit('q');
		} else if (direction == (3 << 2)) {
			USART0_transmit('a');
		} else if (direction == (1 + (3 << 2)) ) {
			USART0_transmit('z');
		} else if (direction == 1) {
			USART0_transmit('x');
		} else if (direction == (1 + (1 << 2))) {
			USART0_transmit('c');
		} else if (direction == (1 << 2)) {
			USART0_transmit('d');
		} else if (direction == (3 + (1 << 2))) {
			USART0_transmit('e');
		} else {
			USART0_transmit('s');
		}

/*		//teste pe led
		PORTD &= ~(1 << PD7);

		if(accel_x > 0.7) {
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(1500);
			//BTSerial.write('l');

		} else if (accel_x < -0.7) {
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(1500);
			//BTSerial.write('r');

		}

		if(accel_y >= 0.7) {
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
		 	PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(1500);


		 	//BTSerial.write('u');

		} else if (accel_y <= -0.7) {
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
		 	PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(250);
			PORTD &= ~(1 << PD7);	//stins
			_delay_ms(250);
			PORTD |= (1 << PD7);	//aprins
			_delay_ms(1500);
		}
*/

	}
}